#include<stdio.h>
#include<iostream>
using namespace std;
int main(){
	freopen("G.in","r",stdin);
	freopen("G.out","w",stdout);
		int n,m;
		cin>>n>>m;
		if (n==2&&m==2) cout<<"4";
		else cout<<"TOO MANY";
	return 0;
}